<!DOCTYPE html >
<ui:composition template="/laytou_base.xhtml"
	xmlns="http://www.w3.org/1999/xhtml"
	xmlns:h="http://xmlns.jcp.org/jsf/html"
	xmlns:ui="http://xmlns.jcp.org/jsf/facelets"
	xmlns:jsf="http://xmlns.jcp.org/jsf"
	xmlns:pt="http://xmlns.jcp.org/jsf/passthrough"
	xmlns:f="http://xmlns.jcp.org/jsf/core"
	xmlns:o="http://omnifaces.org/ui">

	<f:metadata>
		<o:viewParam name="id" value="#{estabelecimentoDetalheBean.estabelecimento}" />
		<f:viewAction action="#{estabelecimentoDetalheBean.inicializarEstabelecimentoDetalhe()}" />
	</f:metadata>

	<ui:define name="page_title">
		Consultar Produto
	</ui:define>

	<ui:define name="content">
		<div class="row">
			<div class="col-md-12">
				<h4 class="title">Produtos</h4>
				<p class="category">Veja informações sobre Produtos</p>
				<br />

				<div class="card">
					<div class="card-content">
						<div class="toolbar">
							<!--Here you can write extra buttons/actions for the toolbar-->
							<p>
								<strong>CNPJ: </strong>#{estabelecimentoDetalheBean.estabelecimento.cnpj}
							</p>
							<p>
								<strong>RASÃO SOCIAL: </strong>#{estabelecimentoDetalheBean.estabelecimento.razaoSocial}
							</p>
							<p>
								<strong>ENDEREÇO: </strong>#{estabelecimentoDetalheBean.estabelecimento.idEndereco.logradouro}, #{estabelecimentoDetalheBean.estabelecimento.idEndereco.numero} - #{estabelecimentoDetalheBean.estabelecimento.idEndereco.bairro} - #{estabelecimentoDetalheBean.estabelecimento.idEndereco.cep}
							</p>
						</div>
						<div class="fresh-datatables">
							<h:dataTable value="#{estabelecimentoDetalheBean.listaProdutosEstabelecimento}" var="item"
								styleClass="table table-striped table-no-bordered table-hover"
								cellspacing="0" width="100%" style="width: 100%"
								id="estabelecimento-detalhe">
<!-- 								<h:column> -->
<!-- 									<f:facet name="header"> -->
<!-- 										<h:outputText value="CODIGO" /> -->
<!-- 									</f:facet> -->
<!-- 									<h:outputText value="#{item.codigoProduto}" /> -->
<!-- 								</h:column> -->
								<h:column>
									<f:facet name="header">
										<h:outputText value="PRODUTO" />
									</f:facet>
									<h:outputText value="#{item.descricao} (#{item.unidade})" />
								</h:column>
<!-- 								<h:column> -->
<!-- 									<f:facet name="header"> -->
<!-- 										<h:outputText value="APRES." /> -->
<!-- 									</f:facet> -->
<!-- 									<h:outputText value="#{item.unidade}" /> -->
<!-- 								</h:column> -->
								<h:column>
									<f:facet name="header">
										<h:outputText value="VL. UNI" />
									</f:facet>
									<h:outputText value="R$ #{item.vlProduto}" />
								</h:column>
								<h:column>
									<f:facet name="header">
										<h:outputText value="DATA" />
									</f:facet>
									<h:outputText value="#{item.dtVenda} " />
								</h:column>
								<h:column>
									<f:facet name="header">
										<h:outputText value="Ação" />
									</f:facet>
<!-- 									 <h:link styleClass="btn btn-info btn-xs" outcome="usuarios_cadastro"> -->
<!-- 					    				<f:param name="id" value="#{u.id}" /> -->
<!-- 					    				<span class="glyphicon glyphicon-edit"></span> -->
<!-- 					    				Editar -->
<!-- 									</h:link> -->
									<h:link styleClass="btn btn-simple btn-info btn-icon like" outcome="produto-estabelecimento-detalhe">
										<f:param name="id" value="#{item.id}" />
										<f:param name="id_estabelecimento" value="#{estabelecimentoDetalheBean.estabelecimento.id}" />
										<i class="ti-eye"></i>
									</h:link>
<!-- 									<a href="#" class="btn btn-simple btn-info btn-icon like"><i class="ti-heart"></i></a> -->
								</h:column>
							</h:dataTable>
						</div>
					</div>
				</div>
				<!--  end card  -->
			</div>
			<!-- end col-md-12 -->
		</div>
		<!-- end row -->
		<h:outputScript>
	$(document).ready(function() {
		//estabelecimento-detalhe
					$('#estabelecimento-detalhe').DataTable({
						"columnDefs": [ {
									"targets": 2,
									"render": function (data) {
									var date = new Date(data);
									return moment(date).format('DD-MM-YYYY HH:mm'); //'YYYY-MM-DD HH:mm'
								}
							} ],
								"pagingType": "numbers",
								responsive: true,
								ordering: false,
								"bLengthChange": false,
								language: {
									search: "_INPUT_",
									searchPlaceholder: "Filtrar",
									"url": "/resources/json/Portuguese-Brasil.json"
							}
						});
	});
</h:outputScript>
	</ui:define>
</ui:composition>
